# krat_exp_linearize.hh File Reference

Declarations for the linearize() algorithm. More...

Include dependency graph for krat_exp_linearize.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | linearize_element< S, T >
| The types of a linearized expression. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<class Series , class T >
linearize_element< Series, T > ::element_t | linearize (const Element< Series, T > &exp)
| The linearization of the krat expression.

## Detailed Description

Declarations for the linearize() algorithm.

See also:
  linearize()

Definition in file krat_exp_linearize.hh.